Skip to main content
GET
/
v1-alpha1
/
projects
/
{projectId}
/
usage
Get Usage
curl --request GET \
  --url https://staging.crossmint.com/api/v1-alpha1/projects/{projectId}/usage \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://staging.crossmint.com/api/v1-alpha1/projects/{projectId}/usage"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://staging.crossmint.com/api/v1-alpha1/projects/{projectId}/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "dimension": "<string>",
    "usage": {
      "month": "<string>",
      "activeWallets": 123
    }
  }
}
{
"error": true,
"message": "<string>",
"validationErrors": [
{
"message": "<string>",
"index": 123,
"id": "<string>"
}
]
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
This is an alpha API and subject to change.

Authorizations

X-API-KEY
string
header
required

Path Parameters

projectId
string
default:default
required

You can find your project ID in the Crossmint console.

Query Parameters

dimension
enum<string>
default:monthly_active_wallets
required

The dimension you want to query, for example monthly_active_wallets. The type of usage data to return.

Available options:
monthly_active_wallets
startDate
string
required

The startDate you want to query in YYYY-MM format, for example 2023-11 for November 2023. The startDate of usage data to return.

endDate
string

The endDate you want to query in YYYY-MM format, for example 2023-12 for December 2023. The endDate of usage data to return.

Response

Success.

data
object